Subject: Re: bug#18766: 25.0.50; eldoc (after commit fb9dbc05a3ca0b3e69afd5b061c84c3802086834)

From: Dmitriy Igrishin <[email-masked]>
Date: Tue, 21 Oct 2014 00:02:32 +0400

2014-10-20 6:40 GMT+04:00 Stefan Monnier <[email-masked]>:

> >   eldoc-documentation-function-default()
>
> Problem is: "grep" tells me that "eldoc-documentation-function-default"
> does not appear anywhere in Emacs's `trunk' code.
>
> Could it be that you have some old file getting in the way somewhere?
> Maybe a "make bootstrap" is needed?
>
I keep source and build directories of Emacs separately. (The build
directory is not a subdir of the source tree.) And  from time to time I
rebuild Emacs by invoking:
make && sudo make install.
I've "grepped" for "eldoc-documentation-function-default" in my
*source* tree and found *binary* matches. (Probably, sometime
I've invoke make in the source directory.)
Thus, I am clean the source tree and rebuild Emacs. The problem
is gone, so it is mea culpa, rather than bug. Sorry!
But this is a question. Why "make install" invoked in the
*build* directory after updating the source tree messed up the
installation?
Thanks!

-- 
// Dmitriy.